# fedora-bootstrap
Custom Bootstrap theme for Fedora Apps

## Setting up ##

Clone the repo:
```
git clone https://github.com/ryanlerch/fedora-bootstrap.git
```

Install NPM:
```
sudo dnf install npm
```

Install deps for building in NPM
```
npm i
```

## Editing & Trying out the theme ##
### Editing
All changes to the theme are done via files in the `src/` directory. When building the CSS / JS, the upstream bootstrap is pulled down as a dependency and then combined with the overrides and additions in the `src/` dir.
### Try it out
Follow the setting up instuctions above, then run
```
npm run start
```
This will create a webserver at http://localhost:8000/ for you to see the test implementation with the current theme displayed.

## Building Dist files for use
To build the final JS and CSS files, run:

```
npm run build
```

and the created dist directory will contain the JS / CSS files (both minified and not)
